Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Professional Updated quad; how to update remote?

Discussion in 'Phantom 3 Help' started by LSU Drone, Sep 17, 2015.

  1. LSU Drone

    Joined:
    Jul 5, 2015
    Messages:
    5
    Likes Received:
    1
    So I updated to 1.4 recently, however, the message on the DJI site specifically states: "The All-in-One firmware v1.4.0010 does not include remote controller update package. However, for the best user experience, it is recommended that the users who are using the firmware that older than v1.3.20 to update the firmware to v1.3.20 before updating the aircraft."

    Is it not necessary to currently update the remote control with this quad update? I don't remember exactly, but I 'think' that out of the box the same file on the SD card updated the quad and the remote.

    Anyone?
     
  2. msinger

    Approved Vendor

    Joined:
    Oct 30, 2014
    Messages:
    18,813
    Likes Received:
    5,540
    Location:
    US
    If you did not install firmware version 1.3.2, then you need to first install that on your Phantom, remote controller, and batteries. If that's what you previously had installed, then 1.4 only needs to be installed on your Phantom. Nothing will be installed if you attempt to install 1.4 on your remote controller or batteries.
     
  3. Mordor

    Joined:
    Jul 27, 2015
    Messages:
    639
    Likes Received:
    114
    Don`t agree.
     
  4. msinger

    Approved Vendor

    Joined:
    Oct 30, 2014
    Messages:
    18,813
    Likes Received:
    5,540
    Location:
    US
    With what?
     
  5. Mordor

    Joined:
    Jul 27, 2015
    Messages:
    639
    Likes Received:
    114
    Before answer i must say english is not my native language, so i could interpret badly...

    I did have fw 1.1.9. I did install 1.4fw on the P3A. Then 1.3.2.0 on the RC.
    Why should i use 1.3.2.0 to update the P3A?

    Maybe is my confusion, sorry.
     
  6. msinger

    Approved Vendor

    Joined:
    Oct 30, 2014
    Messages:
    18,813
    Likes Received:
    5,540
    Location:
    US
    No problem. "Don't agree" doesn't explain what you mean though.

    You could probably skip installing 1.3.2 on your Phantom if you're planning on installing 1.4. I haven't personally tested that upgrade path, so I was recommending what I know works :)
     
    Mordor likes this.
  7. Mordor

    Joined:
    Jul 27, 2015
    Messages:
    639
    Likes Received:
    114
    Ah ok....thats my point: I skip that point and jump directly to 1.4.

    Went well at first try ;-)
    As far i can advice, no issues except a problem im reporting on other tread, but with the 1.4fw itself... ;-)
     
  8. JerEl

    Joined:
    Oct 8, 2014
    Messages:
    118
    Likes Received:
    27
    Location:
    NW Florida, USA
    I'm getting a an "update battery" message with one of my batteries since updating to the new version. Does that mean I may have forgot to update this battery on the previous version? It still flies with that battery okay though so at least it doesn't stop me from using the P3P.
     
  9. bobmyers

    Joined:
    May 10, 2015
    Messages:
    3,611
    Likes Received:
    866
    Location:
    San Antonio, TX
    Sounds like it.
     
  10. JerEl

    Joined:
    Oct 8, 2014
    Messages:
    118
    Likes Received:
    27
    Location:
    NW Florida, USA
    Have any ideas on how to update this battery? It is my understanding you can't go back to previous firmware. Also, if the new firmware doesn't update batteries what would one do if they purchased a battery that wasn't updated after installing the Go app? Doesn't make sense to me. I did have the latest firmware .bin file alone in the root folder hoping it would update the battery but after flying the text file added the text message 'success' but the notes further down say it was already updated.
     
  11. bobmyers

    Joined:
    May 10, 2015
    Messages:
    3,611
    Likes Received:
    866
    Location:
    San Antonio, TX
    It is up dated, if you put the battery in and the bin file was still on the SD card-- It will update to 1.3.2 and not to 1.4.1.
     
  12. JerEl

    Joined:
    Oct 8, 2014
    Messages:
    118
    Likes Received:
    27
    Location:
    NW Florida, USA
    Do you mean I should put 1.3.2 on the SD card or that it will update the battery with 1.4.1 on the SD card?

    I would think it should update the battery with any new version as people buy batteries all the time that may not be updated. I haven't checked with that battery again to see if I still see the message on start up but will do that before flying with it again.

    It could have been just a fluke as I think I have flown with that battery since updates. Sometimes strange messages randomly come up on start up that never appear again. A couple of times I couldn't even connect at all to the camera even after rebooting all 3 devices over and over but then the next day it works fine. Checked the solar activity and nothing shows for those days plus also used an app that searches for any frequencies that shouldn't be there around the Wi-Fi band and didn't see anything.

    Thanks for your help.
     
  13. bobmyers

    Joined:
    May 10, 2015
    Messages:
    3,611
    Likes Received:
    866
    Location:
    San Antonio, TX
    The way I understand it, when the controller and P3 was updated to 1.3.2 and the batteries got updated to 1.3.2 as they were cycled in the Phantom.
    When 1.4.1 came out-- only the Phantom had to be updated -- When I tried to update my batteries to 1.4.1, it wasn't required-- everything remained normal on the controller and it did not call to update the batteries again-- so I didn't try to update all the batteries. Everything works fine with no issues.